Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
pygaze._eyetracker.baseeyetracker.BaseEyeTracker Class Reference
Inheritance diagram for pygaze._eyetracker.baseeyetracker.BaseEyeTracker:

## Public Member Functions
| __init__ (self)
| calibrate (self)
| close (self)
| connected (self)
| drift_correction (self, pos=None, fix_triggered=False)
| fix_triggered_drift_correction (self, pos=None, min_samples=30, max_dev=60, reset_threshold=10)
| get_eyetracker_clock_async (self)
| log (self, msg)
| log_var (self, var, val)
| pupil_size (self)
| sample (self)
| send_command (self, cmd)
| set_eye_used (self)
| draw_drift_correction_target (self, x, y)
| draw_calibration_target (self, x, y)
| set_draw_calibration_target_func (self, func)
| set_draw_drift_correction_target_func (self, func)
| start_recording (self)
| status_msg (self, msg)
| stop_recording (self)
| set_detection_type (self, eventdetection)
| wait_for_event (self, event)
| wait_for_blink_end (self)
| wait_for_blink_start (self)
| wait_for_fixation_end (self)
| wait_for_fixation_start (self)
| wait_for_saccade_end (self)
| wait_for_saccade_start (self)

## Public Attributes
| draw_calibration_target = func
| draw_drift_correction_target = func

## Detailed Description

        desc: |
            A generic Python library for eye tracking.

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.__init__ | ( |  | self | ) |

## Member Function Documentation

## ◆ calibrate()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.calibrate | ( |  | self | ) |

            strict:
                False

            desc: |
                Initializes the EyeTracker object.

            arguments:
                display:
                    desc:   A pygaze.display.Display instance.
                    type:   Display

            keywords:
                logfile:
                    desc: |
                        A logfile name (string value); path may be included in the
                        file name for SMI and for Tobii; SMI will create a `.idf`
                        and a `.txt`, Tobii will make a `.tsv`; for EyeLink PLEASE
                        DO NOT USE THIS: use `data_file` instead, see below for
                        explanation.
                    type:   [unicode, str]
                eventdetection:
                    desc: |
                        A string specifying the type of event detection, either
                        'native' for system default functions (not always
                        available!), of 'pygaze' for Dalmaijer et al. (2013)
                        algorithms; NOTE: will fall back to 'pygaze' if 'native' is
                        not available on your system!
                    type:   [unicode, str]
                saccade_velocity_threshold:
                    desc:   A saccade velocity threshold in degrees per second.
                    type:   [float, int]
                saccade_acceleration_threshold:
                    desc:   A saccade acceleration threshold in degrees per square
                            second.
                    type:   [float, int]
                data_file:
                    desc: |
                        __EyeLink only!__ IMPORTANT: use data_file in stead of
                        logfile keyword for EyeLink, as it does not
                        support filenames longer than 8 characters (so no
                        path assignment in the logfile name, as is possible
                        for SMI and Tobii).
                    type:   [str, unicode]
                force_drift_correct:
                    desc: |
                        __EyeLink only!__ Indicates whether an active drift
                        correction should be used. This option is relevant for
                        EyeLink 1000 devices, on which drift correction is by
                        default only a check, and not an actual single-point
                        recalibration.
                    type:   bool
                pupil_size_mode:
                    desc: |
                        __EyeLink only!__ Indicates whether pupil size is recorded
                        in area or diameter values.
                    type:   bool
                resolution:
                    desc: |
                        __EyeLink only!__ Specify the display resolution using
                        a (w,h) tuple.
                    type:   tuple
                fg_color: |
                    desc: |
                        __EyeLink only!__ Specify the foreground colour using
                        an (R,G,B) tuple.
                    type:   tuple
                bg_color:
                    desc: |
                        __EyeLink only!__ Specify the background colour using
                        an (R,G,B) tuple.
                    type:   tuple
                ip:
                    desc: __SMI only!__ The ip address for iViewX.
                    type:   [str, unicode]
                        (default = '127.0.0.1')
                sendport:
                    desc:   __SMI only!__ port number for iViewX sending.
                    type:   int
                receiveport:
                    desc:   __SMI only!__ port number for iViewX receiving.
                    type:   int

            desc: |
                Calibrates the eye tracking system. The actual behavior of this
                function depends on the type of eye tracker and is described below.

                __EyeLink:__

                This function will activate the camera-setup screen, which allows
                you to adjust the camera, and peform a calibration/ validation
                procedure. Pressing 'q' will exit the setup routine. Pressing
                'escape' will first trigger a confirmation dialog and then, upon
                confirmation, raises an Exception.

                __EyeTribe:__

                Activates a simple calibration routine.

            returns:
                desc: |
                    Returns True if calibration succeeded, or False if not; in
                    addition a calibration log is added to the log file and some
                    properties are updated (i.e. the thresholds for detection
                    algorithms).
                type:   bool

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ close()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.close | ( |  | self | ) |

            desc: |
                Neatly closes connection to tracker. Saves data and sets
                `self.connected` to False.

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ connected()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.connected | ( |  | self | ) |

            desc:
                Checks if the tracker is connected.

            returns:
                desc: |
                    True if connection is established, False if not; sets
                    `self.connected` to the same value.
                type:   bool

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ draw_calibration_target()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.draw_calibration_target | ( |  | self,
|  |  | x,
|  |  | y )

            desc:
                Draws a calibration target.

            arguments:
                x:
                    desc:   The X coordinate
                    type:   int
                y:
                    desc:   The Y coordinate
                    type:   int

Reimplemented in pygaze._eyetracker.libeyetribe.EyeTribeTracker, and pygaze._eyetracker.libopengaze.OpenGazeTracker.

## ◆ draw_drift_correction_target()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.draw_drift_correction_target | ( |  | self,
|  |  | x,
|  |  | y )

            desc:
                Draws a drift-correction target.

            arguments:
                x:
                    desc:   The X coordinate
                    type:   int
                y:
                    desc:   The Y coordinate
                    type:   int

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, and pygaze._eyetracker.libopengaze.OpenGazeTracker.

## ◆ drift_correction()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.drift_correction | ( |  | self,
|  |  | pos = None,
|  |  | fix_triggered = False )

            desc: |
                Performs a drift-correction procedure. The exact behavior of this
                function on the type of eye tracker and is described below. Because
                drift correction may fail, you will generally call this function in
                a loop.

                __EyeLink:__

                Pressing 'q' during drift-correction will activate the camera-setup
                screen. From there, pressing 'q' again will cause drift correction
                to fail immediately. Pressing 'escape' will give the option to abort
                the experiment, in which case an Exception is raised.

            keywords:
                pos:
                    desc:   (x, y) position of the fixation dot or None for a
                            central fixation.
                    type:   [tuple, NoneType]
                fix_triggered:
                    desc:   Boolean indicating if drift check should be performed
                            based on gaze position (True) or on spacepress (False).
                    type:   bool

            returns:
                desc:   A boolean indicating if drift check is ok (True) or not
                        (False).
                type:   bool

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ fix_triggered_drift_correction()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.fix_triggered_drift_correction | ( |  | self,
|  |  | pos = None,
|  |  | min_samples = 30,
|  |  | max_dev = 60,
|  |  | reset_threshold = 10 )

            desc: |
                Performs a fixation triggered drift correction by collecting
                a number of samples and calculating the average distance from the
                fixation position

            keywords:
                pos:
                    desc:   (x, y) position of the fixation dot or None for a
                            central fixation.
                    type:   [tuple, NoneType]
                min_samples:
                    desc:   The minimal amount of samples after which an
                            average deviation is calculated.
                    type:   int
                max_dev:
                    desc:   The maximal deviation from fixation in pixels.
                    type:   int
                reset_threshold:
                    desc:   If the horizontal or vertical distance in pixels between
                            two consecutive samples is larger than this threshold,
                            the sample collection is reset.
                    type:   int

            returns:
                desc:   A boolean indicating if drift check is ok (True) or not
                        (False).
                type:   bool

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ get_eyetracker_clock_async()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.get_eyetracker_clock_async | ( |  | self | ) |

            desc:
                Returns the difference between tracker time and PyGaze time, which
                can be used to synchronize timing

            returns:
                desc:   The difference between eyetracker time and PyGaze time.
                type:   [int, float]

Reimplemented in pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ log()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.log | ( |  | self,
|  |  | msg )

            desc:
                Writes a message to the log file.

            arguments:
                msg:
                    desc:   A message.
                    type:   [str, unicode]

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ log_var()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.log_var | ( |  | self,
|  |  | var,
|  |  | val )

            desc:
                Writes a variable's name and value to the log file

            arguments:
                var:
                    desc:   A variable name.
                    type:   [str, unicode]
                val:
                    desc:   A variable value

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ pupil_size()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.pupil_size | ( |  | self | ) |

            desc:
                Returns the newest pupil size sample; size may be measured as the
                diameter or the area of the pupil, depending on your setup (note
                that pupil size mostly is given in an arbitrary units).

            returns:
                desc:   Returns pupil size for the eye that is currently
                        being tracked (as specified by self.eye_used) or -1
                        when no data is obtainable.
                type:   [int, float]

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ sample()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.sample | ( |  | self | ) |

            desc:
                Returns newest available gaze position.

            returns:
                desc:   An (x,y) tuple or a (-1,-1) on an error.
                type:   tuple

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ send_command()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.send_command | ( |  | self,
|  |  | cmd )

            desc:
                Directly sends a command to the eye tracker (not supported for all
                brands; might produce a warning message if your setup does not
                support direct commands).

            arguments:
                cmd:
                    desc:   The command to be sent to the eye tracker.
                    type:   [str, unicode]

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ set_detection_type()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.set_detection_type | ( |  | self,
|  |  | eventdetection )

            desc: |
                Set the event detection type to either PyGaze algorithms, or
                native algorithms as provided by the manufacturer (only if
                available: detection type will default to PyGaze if no native
                functions are available)

            arguments:
                eventdetection:
                    desc: |
                            A string indicating which detection type
                            should be employed: either 'pygaze' for
                            PyGaze event detection algorithms or
                            'native' for manufacturers algorithms (only
                            if available; will default to 'pygaze' if no
                            native event detection is available)
                    type:   [str, unicode]

            returns:
                desc:       Detection type for saccades, fixations and
                            blinks in a tuple, e.g.
                            ('pygaze','native','native') when 'native'
                            was passed, but native detection was not
                            available for saccade detection.
                type:       tuple

Reimplemented in pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ set_draw_calibration_target_func()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.set_draw_calibration_target_func | ( |  | self,
|  |  | func )

            desc:
                Specifies a custom function to draw the calibration target. This
                will function will override the default [draw_calibration_target].

            arguments:
                func:
                    desc:   The function to draw a calibration target. This function
                            should accept two parameters, for the x and y coordinate
                            of the target.
                    type:   function

Reimplemented in pygaze._eyetracker.libeyelink.libeyelink.

## ◆ set_draw_drift_correction_target_func()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.set_draw_drift_correction_target_func | ( |  | self,
|  |  | func )

            desc:
                Specifies a custom function to draw the drift-correction target.
                This function will override the default
                [draw_drift_correction_target].

            arguments:
                func:
                    desc:   The function to draw a drift-correction target. This
                            function should accept two parameters, for the x and y
                            coordinate of the target.
                    type:   function

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy.

## ◆ set_eye_used()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.set_eye_used | ( |  | self | ) |

            desc:
                Logs the `eye_used` variable, based on which eye was specified
                (if both eyes are being tracked, the left eye is used). Does not
                return anything.

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ start_recording()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.start_recording | ( |  | self | ) |

            desc:
                Starts recording. Sets `self.recording` to `True` when recording
                is successfully started.

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ status_msg()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.status_msg | ( |  | self,
|  |  | msg )

            desc:
                Sends a status message to the eye tracker, which is displayed in
                the tracker's GUI (only available for EyeLink setups).

            arguments:
                msg:
                    desc: |
                            A string that is to be displayed on the experimenter PC,
                            e.g.: "current trial: %d" % trialnr.
                    type:   [str, unicode]

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ stop_recording()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.stop_recording | ( |  | self | ) |

            desc:
                Stops recording. Sets `self.recording` to `False` when recording is
                successfully stopped.

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ wait_for_blink_end()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.wait_for_blink_end | ( |  | self | ) |

            desc: |
                Waits for a blink end and returns the blink ending time.
                Detection based on Dalmaijer et al. (2013) if EVENTDETECTION is set
                to 'pygaze', or using native detection functions if EVENTDETECTION
                is set to 'native' (NOTE: not every system has native functionality;
                will fall back to ;pygaze' if 'native' is not available!)

            returns:
                desc:   Blink ending time in milliseconds, as measured from
                        experiment begin time.
                type:   [int, float]

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ wait_for_blink_start()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.wait_for_blink_start | ( |  | self | ) |

            desc: |
                Waits for a blink start and returns the blink starting time.
                Detection based on Dalmaijer et al. (2013) if EVENTDETECTION is set
                to 'pygaze', or using native detection functions if EVENTDETECTION
                is set to 'native' (NOTE: not every system has native functionality;
                will fall back to ;pygaze' if 'native' is not available!)

            returns:
                desc:   Blink starting time in milliseconds, as measured from
                        experiment begin time
                type:   [int, float]

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ wait_for_event()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.wait_for_event | ( |  | self,
|  |  | event )

            desc:
                Waits for an event.

            arguments:
                event:
                    desc: |
                        An integer event code, one of the following:

                        - 3 = STARTBLINK
                        - 4 = ENDBLINK
                        - 5 = STARTSACC
                        - 6 = ENDSACC
                        - 7 = STARTFIX
                        - 8 = ENDFIX

                    type:   int

            returns:
                desc:   A `self.wait_for_*` method is called, depending on the
                        specified event; the return value of corresponding
                        method is returned.

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ wait_for_fixation_end()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.wait_for_fixation_end | ( |  | self | ) |

            desc: |
                Returns time and gaze position when a fixation has ended;
                function assumes that a 'fixation' has ended when a deviation of
                more than self.pxfixtresh from the initial fixation position has
                been detected (self.pxfixtresh is created in self.calibration,
                based on self.fixtresh, a property defined in self.__init__).
                Detection based on Dalmaijer et al. (2013) if EVENTDETECTION is set
                to 'pygaze', or using native detection functions if EVENTDETECTION
                is set to 'native' (NOTE: not every system has native functionality;
                will fall back to ;pygaze' if 'native' is not available!)

            returns:
                desc:   A `time, gazepos` tuple. Time is the end time in
                        milliseconds (from expstart), gazepos is a (x,y) gaze
                        position tuple of the position from which the fixation was
                        initiated.
                type:   tuple

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ wait_for_fixation_start()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.wait_for_fixation_start | ( |  | self | ) |

            desc: |
                Returns starting time and position when a fixation is started;
                function assumes a 'fixation' has started when gaze position
                remains reasonably stable (i.e. when most deviant samples are
                within self.pxfixtresh) for five samples in a row (self.pxfixtresh
                is created in self.calibration, based on self.fixtresh, a property
                defined in self.__init__).
                Detection based on Dalmaijer et al. (2013) if EVENTDETECTION is set
                to 'pygaze', or using native detection functions if EVENTDETECTION
                is set to 'native' (NOTE: not every system has native functionality;
                will fall back to ;pygaze' if 'native' is not available!)

            returns:
                desc:   A `time, gazepos` tuple. Time is the starting time in
                        milliseconds (from expstart), gazepos is a (x,y) gaze
                        position tuple of the position from which the fixation was
                        initiated.
                type:   tuple

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ wait_for_saccade_end()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.wait_for_saccade_end | ( |  | self | ) |

            desc: |
                Returns ending time, starting and end position when a saccade is
                ended; based on Dalmaijer et al. (2013) online saccade detection
                algorithm if EVENTDETECTION is set to 'pygaze', or using native
                detection functions if EVENTDETECTION is set to 'native' (NOTE: not
                every system has native functionality; will fall back to ;pygaze'
                if 'native' is not available!)

            returns:
                desc:   An `endtime, startpos, endpos` tuple. Endtime in
                        milliseconds (from expbegintime); startpos and endpos
                        are (x,y) gaze position tuples.
                type:   tuple

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## ◆ wait_for_saccade_start()

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.wait_for_saccade_start | ( |  | self | ) |

            desc: |
                Returns starting time and starting position when a saccade is
                started; based on Dalmaijer et al. (2013) online saccade detection
                algorithm if EVENTDETECTION is set to 'pygaze', or using native
                detection functions if EVENTDETECTION is set to 'native' (NOTE: not
                every system has native functionality; will fall back to ;pygaze'
                if 'native' is not available!)

            returns:
                desc:   An `endtime, startpos` tuple. Endtime in milliseconds (from
                        expbegintime); startpos is an (x,y) gaze position tuple.
                type:   tuple

Reimplemented in pygaze._eyetracker.libdumbdummy.DumbDummy, pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, pygaze._eyetracker.libopengaze.OpenGazeTracker, pygaze._eyetracker.libtobii.TobiiProTracker, pygaze._eyetracker.libtobiiglasses.TobiiGlassesTracker, and pygaze._eyetracker.libtobiilegacy.TobiiTracker.

## Member Data Documentation

## ◆ draw_calibration_target

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.draw_calibration_target = func

Reimplemented in pygaze._eyetracker.libeyetribe.EyeTribeTracker, and pygaze._eyetracker.libopengaze.OpenGazeTracker.

## ◆ draw_drift_correction_target

pygaze._eyetracker.baseeyetracker.BaseEyeTracker.draw_drift_correction_target = func

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy, pygaze._eyetracker.libeyelink.libeyelink, pygaze._eyetracker.libeyetribe.EyeTribeTracker, and pygaze._eyetracker.libopengaze.OpenGazeTracker.

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/_eyetracker/baseeyetracker.py